org.slf4j.impl

## Class JDK14LoggerAdapter

- java.lang.Object
- - org.slf4j.helpers.MarkerIgnoringBase
  - - org.slf4j.impl.JDK14LoggerAdapter

- All Implemented Interfaces:
    Serializable, Logger, LocationAwareLogger

      public final class JDK14LoggerAdapter
      extends MarkerIgnoringBase
      implements LocationAwareLogger

  A wrapper over `java.util.logging.Logger` in conformity with the `Logger` interface. Note that the logging levels mentioned in this class refer to those defined in the java.util.logging package.
  Author:
    Ceki Gülcü, Peter Royal
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

    - ### Fields inherited from interface org.slf4j.spi.LocationAwareLogger

      `DEBUG_INT, ERROR_INT, INFO_INT, TRACE_INT, WARN_INT`

    - ### Fields inherited from interface org.slf4j.Logger

      `ROOT_LOGGER_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg)` Log a message object at level FINE.
    `void` | `debug(String format, Object... argArray)` Log a message at level FINE according to the specified format and arguments.
    `void` | `debug(String format, Object arg)` Log a message at level FINE according to the specified format and argument.
    `void` | `debug(String format, Object arg1, Object arg2)` Log a message at level FINE according to the specified format and arguments.
    `void` | `debug(String msg, Throwable t)` Log an exception (throwable) at level FINE with an accompanying message.
    `void` | `error(String msg)` Log a message object at the SEVERE level.
    `void` | `error(String format, Object... arguments)` Log a message at level SEVERE according to the specified format and arguments.
    `void` | `error(String format, Object arg)` Log a message at the SEVERE level according to the specified format and argument.
    `void` | `error(String format, Object arg1, Object arg2)` Log a message at the SEVERE level according to the specified format and arguments.
    `void` | `error(String msg, Throwable t)` Log an exception (throwable) at the SEVERE level with an accompanying message.
    `String` | `getName()` Return the name of this `Logger` instance.
    `void` | `info(String msg)` Log a message object at the INFO level.
    `void` | `info(String format, Object... argArray)` Log a message at level INFO according to the specified format and arguments.
    `void` | `info(String format, Object arg)` Log a message at level INFO according to the specified format and argument.
    `void` | `info(String format, Object arg1, Object arg2)` Log a message at the INFO level according to the specified format and arguments.
    `void` | `info(String msg, Throwable t)` Log an exception (throwable) at the INFO level with an accompanying message.
    `boolean` | `isDebugEnabled()` Is this logger instance enabled for the FINE level?
    `boolean` | `isErrorEnabled()` Is this logger instance enabled for level SEVERE?
    `boolean` | `isInfoEnabled()` Is this logger instance enabled for the INFO level?
    `boolean` | `isTraceEnabled()` Is this logger instance enabled for the FINEST level?
    `boolean` | `isWarnEnabled()` Is this logger instance enabled for the WARNING level?
    `void` | `log(LoggingEvent event)`
    `void` | `log(Marker marker, String callerFQCN, int level, String message, Object[] argArray, Throwable t)` Printing method with support for location information.
    `protected Object` | `readResolve()` Replace this instance with a homonymous (same name) logger returned by LoggerFactory.
    `void` | `trace(String msg)` Log a message object at level FINEST.
    `void` | `trace(String format, Object... argArray)` Log a message at level FINEST according to the specified format and arguments.
    `void` | `trace(String format, Object arg)` Log a message at level FINEST according to the specified format and argument.
    `void` | `trace(String format, Object arg1, Object arg2)` Log a message at level FINEST according to the specified format and arguments.
    `void` | `trace(String msg, Throwable t)` Log an exception (throwable) at level FINEST with an accompanying message.
    `void` | `warn(String msg)` Log a message object at the WARNING level.
    `void` | `warn(String format, Object... argArray)` Log a message at level WARNING according to the specified format and arguments.
    `void` | `warn(String format, Object arg)` Log a message at the WARNING level according to the specified format and argument.
    `void` | `warn(String format, Object arg1, Object arg2)` Log a message at the WARNING level according to the specified format and arguments.
    `void` | `warn(String msg, Throwable t)` Log an exception (throwable) at the WARNING level with an accompanying message.

    - ### Methods inherited from class org.slf4j.helpers.MarkerIgnoringBase

      `debug, debug, debug, debug, debug, error, error, error, error, error, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, toString, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.slf4j.Logger

      `debug, debug, debug, debug, debug, error, error, error, error, error, getName, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

- - ### Field Detail

    - #### name

          protected String name

  - ### Method Detail

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Is this logger instance enabled for the FINEST level?
      Specified by:
        `isTraceEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for level FINEST, false otherwise.

    - #### trace

          public void trace(String msg)

      Log a message object at level FINEST.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `msg` - - the message object to be logged

    - #### trace

          public void trace(String format,
                   Object arg)

      Log a message at level FINEST according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for level FINEST.

      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### trace

          public void trace(String format,
                   Object arg1,
                   Object arg2)

      Log a message at level FINEST according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the FINEST level.

      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### trace

          public void trace(String format,
                   Object... argArray)

      Log a message at level FINEST according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the FINEST level.

      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `format` - the format string
        `argArray` - an array of arguments

    - #### trace

          public void trace(String msg,
                   Throwable t)

      Log an exception (throwable) at level FINEST with an accompanying message.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Is this logger instance enabled for the FINE level?
      Specified by:
        `isDebugEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for level FINE, false otherwise.

    - #### debug

          public void debug(String msg)

      Log a message object at level FINE.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `msg` - - the message object to be logged

    - #### debug

          public void debug(String format,
                   Object arg)

      Log a message at level FINE according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for level FINE.

      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### debug

          public void debug(String format,
                   Object arg1,
                   Object arg2)

      Log a message at level FINE according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the FINE level.

      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### debug

          public void debug(String format,
                   Object... argArray)

      Log a message at level FINE according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the FINE level.

      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `format` - the format string
        `argArray` - an array of arguments

    - #### debug

          public void debug(String msg,
                   Throwable t)

      Log an exception (throwable) at level FINE with an accompanying message.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Is this logger instance enabled for the INFO level?
      Specified by:
        `isInfoEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for the INFO level, false otherwise.

    - #### info

          public void info(String msg)

      Log a message object at the INFO level.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `msg` - - the message object to be logged

    - #### info

          public void info(String format,
                  Object arg)

      Log a message at level INFO according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the INFO level.

      Specified by:
        `info` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### info

          public void info(String format,
                  Object arg1,
                  Object arg2)

      Log a message at the INFO level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the INFO level.

      Specified by:
        `info` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### info

          public void info(String format,
                  Object... argArray)

      Log a message at level INFO according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the INFO level.

      Specified by:
        `info` in interface `Logger`
      Parameters:
        `format` - the format string
        `argArray` - an array of arguments

    - #### info

          public void info(String msg,
                  Throwable t)

      Log an exception (throwable) at the INFO level with an accompanying message.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Is this logger instance enabled for the WARNING level?
      Specified by:
        `isWarnEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for the WARNING level, false otherwise.

    - #### warn

          public void warn(String msg)

      Log a message object at the WARNING level.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `msg` - - the message object to be logged

    - #### warn

          public void warn(String format,
                  Object arg)

      Log a message at the WARNING level according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the WARNING level.

      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### warn

          public void warn(String format,
                  Object arg1,
                  Object arg2)

      Log a message at the WARNING level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the WARNING level.

      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### warn

          public void warn(String format,
                  Object... argArray)

      Log a message at level WARNING according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the WARNING level.

      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `format` - the format string
        `argArray` - an array of arguments

    - #### warn

          public void warn(String msg,
                  Throwable t)

      Log an exception (throwable) at the WARNING level with an accompanying message.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Is this logger instance enabled for level SEVERE?
      Specified by:
        `isErrorEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for level SEVERE, false otherwise.

    - #### error

          public void error(String msg)

      Log a message object at the SEVERE level.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `msg` - - the message object to be logged

    - #### error

          public void error(String format,
                   Object arg)

      Log a message at the SEVERE level according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the SEVERE level.

      Specified by:
        `error` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### error

          public void error(String format,
                   Object arg1,
                   Object arg2)

      Log a message at the SEVERE level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the SEVERE level.

      Specified by:
        `error` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### error

          public void error(String format,
                   Object... arguments)

      Log a message at level SEVERE according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the SEVERE level.

      Specified by:
        `error` in interface `Logger`
      Parameters:
        `format` - the format string
        `arguments` - an array of arguments

    - #### error

          public void error(String msg,
                   Throwable t)

      Log an exception (throwable) at the SEVERE level with an accompanying message.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### log

          public void log(Marker marker,
                 String callerFQCN,
                 int level,
                 String message,
                 Object[] argArray,
                 Throwable t)

      Description copied from interface: `LocationAwareLogger`
      Printing method with support for location information.
      Specified by:
        `log` in interface `LocationAwareLogger`
      Parameters:
        `marker` - The marker to be used for this event, may be null.
        `callerFQCN` - The fully qualified class name of the logger instance, typically the logger class, logger bridge or a logger wrapper.
        `level` - One of the level integers defined in this interface
        `message` - The message for the log event
        `t` - Throwable associated with the log event, may be null.

    - #### log

          public void log(LoggingEvent event)

      Since:
        1.7.15

    - #### getName

          public String getName()

      Description copied from interface: `Logger`
      Return the name of this `Logger` instance.
      Specified by:
        `getName` in interface `Logger`
      Returns:
        name of this logger instance

    - #### readResolve

          protected Object readResolve()
                                throws ObjectStreamException

      Replace this instance with a homonymous (same name) logger returned by LoggerFactory. Note that this method is only called during deserialization.

      This approach will work well if the desired ILoggerFactory is the one references by LoggerFactory. However, if the user manages its logger hierarchy through a different (non-static) mechanism, e.g. dependency injection, then this approach would be mostly counterproductive.

      Returns:
        logger with same name as returned by LoggerFactory
      Throws:
        `ObjectStreamException`

Copyright © 2005–2017 QOS.ch. All rights reserved.